Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226169 - yum doesn't handle bad xml very gracefully
Summary: yum doesn't handle bad xml very gracefully
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: James Antill
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 289601
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:46 UTC by Máirín Duffy
Modified: 2013-01-10 10:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-13 17:51:43 UTC


Attachments (Terms of Use)
traceback from jkt (deleted)
2007-01-31 19:46 UTC, Máirín Duffy
no flags Details
traceback from jneedle (deleted)
2007-01-31 19:47 UTC, Máirín Duffy
no flags Details

Description Máirín Duffy 2007-01-31 19:46:19 UTC
Version-Release number of selected component (if applicable):
yum-3.0.1-5.el5

An excerpt of yum's behavior upon encountering bad xml:

[root@milkbones ~]# yum check-update
Loading "rhnplugin" plugin
[
Loading "installonlyn" plugin
Setting up repositories
rhel-x86_64-server-5      100% |=========================| 1.2 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 867 kB    00:01
##################                                 1039/2811

(process:12033): GLib-WARNING **: GError set over the top of a previous GError
or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before
it's set.
The overwriting error message was: Parsing primary.xml error: Entity 'gt' not
defined

(process:12033): GLib-WARNING **: GError set over the top of a previous GError
or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before
it's set.
The overwriting error message was: Parsing primary.xml error: Entity 'amp' not
defined

(process:12033): GLib-WARNING **: GError set over the top of a previous GError
or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before
it's set.
The overwriting error message was: Parsing primary.xml error: Entity 'amp' not
defined

Comment 1 Máirín Duffy 2007-01-31 19:46:19 UTC
Created attachment 147045 [details]
traceback from jkt

Comment 2 Máirín Duffy 2007-01-31 19:47:42 UTC
Created attachment 147046 [details]
traceback from jneedle

Comment 3 Jeremy Katz 2007-01-31 20:26:17 UTC
I vaguely remember fixing this -- can you try a rebuild of yum-metadata-parser
from rawhide and see if it helps?  

Comment 4 Seth Vidal 2007-08-03 20:19:35 UTC
anyone?

Comment 5 Jeremy Katz 2007-09-13 17:51:43 UTC
This is definitely fixed in current code.  If we want to push an update for
RHEL5, then a new bug should be opened and pushed along through the process


Note You need to log in before you can comment on or make changes to this bug.